package whychuck;

class Grob extends Lokalizacja {
	private int id;
	private int glebokosc;
	private Alejka alejka;
	private String napis;
	private boolean czyZakopany;
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getGlebokosc() {
		return glebokosc;
	}
	public void setGlebokosc(int glebokosc) {
		this.glebokosc = glebokosc;
	}
	public Alejka getAlejka() {
		return alejka;
	}
	public void setAlejka(Alejka alejka) {
		this.alejka = alejka;
	}
	public String getNapis() {
		return napis;
	}
	public void setNapis(String napis) {
		this.napis = napis;
	}
	
	Grob(){
		setId(0);
	}
	
	Grob(int id, String napis){
		setId(id);
		setNapis(napis);
	}
	Grob(int id){
		setId(id);
	}
	
	public String toString() {
		if(napis == null) {
			return("Grob nr " + id);
		}else {
			return("Grob nr " + id + "; Napis: '" + napis + "'\n");
		}
	}
	
	public void zakop() {
		czyZakopany = true;
	}
	
	public void odkop() {
		czyZakopany = false;
	}
}
